Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
vinhxtkt01

Ai chỉnh giúp mình đoạn lisp trừ 2 số trong aucad này với.

Các bài được khuyến nghị

vinhxtkt01    3

Mình vừa tìm kiếm được trên diễn đàn đoạn lisp trừ 2 số trong aucad rất hay:

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/topic/26670-giup-em-lisp-tru-2-so/
(defun c:-()
  (vl-load-com)  
     (setq sbt (car (entsel "\nChon so bi tru:"))
           st (car (entsel "\nChon so tru:\n"))
           kq (- (atof (cdr (assoc 1 (entget sbt))))
             (atof (cdr (assoc 1 (entget st))))))      
     (princ kq)
  (setq obj (vlax-ename->vla-object (car (entsel "\nChon text ghi ket qua:"))))
  (vla-put-TextString obj (rtos kq 2 2))  
  (princ))

 

Anh em ai biết giúp mình chỉnh lại đoạn lisp trong trường hợp khi ta Trừ 2 số cho ra kết quả dương (+) tức là sẽ có thêm dấu (+) ở phía trước.

VD: 3 - 1 = +2

Mình hay làm san ủi mặt bằng nên rất cần đánh dấu (+); (-) khi tính toán cao độ thiết kế mắt lưới.

Chân thành cảm ơn !

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trumlenmang    29

Mình mới tập tành lisp, không biết vầy có đúng ý bạn không?

http://www.cadviet.com/upfiles/3/128111_lenh__2.lsp

(defun c:-()
  (vl-load-com)  
     (setq sbt (car (entsel "\nChon so bi tru:"))
           st (car (entsel "\nChon so tru:\n"))
           kq (- (atof (cdr (assoc 1 (entget sbt))))
             (atof (cdr (assoc 1 (entget st))))))      
     (princ kq)
  (setq obj (vlax-ename->vla-object (car (entsel "\nChon text ghi ket qua:"))))
(if (>= kq 0)
  (vla-put-TextString obj (strcat "+" (rtos kq 2 2)))
  (vla-put-TextString obj (rtos kq 2 2)))
  (princ))
(defun c:-()
  (vl-load-com)  
     (setq sbt (car (entsel "\nChon so bi tru:"))
           st (car (entsel "\nChon so tru:\n"))
           kq (- (atof (cdr (assoc 1 (entget sbt))))
             (atof (cdr (assoc 1 (entget st))))))      
     (princ kq)
  (setq obj (vlax-ename->vla-object (car (entsel "\nChon text ghi ket qua:"))))
(if (>= kq 0)
  (vla-put-TextString obj (strcat "+" (rtos kq 2 2)))
  (vla-put-TextString obj (rtos kq 2 2)))
  (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×